/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt 
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/debug.h,v $
 *  $Revision: 1.5 $ $Date: 2004/10/02 00:20:10 $
 *
 ******************************************************************************/

#ifndef __DEBUG_H__
#define __DEBUG_H__

#define STRINGIFY(x) STRINGIFY1(x)
#define STRINGIFY1(x) #x

#if DEBUG
extern void DebugInit(void);
extern void DebugCheckStack(void);
#endif

#if DEBUG_ASSERTS

extern void DebugOutput(Char *filename, int linenum, int arg1=0, int arg2=0);

#if 1

// Removed strings from debug builds because the builds were getting too big...
#define ASSERT(x, y) do{if(!(x))DebugOutput(__FILE__, __LINE__ ); } while(0)
#define ASSERT1(x, y, z1) do{if(!(x))DebugOutput(__FILE__, __LINE__, z1 ); } while(0)
#define ASSERT2(x, y, z1,z2) do{if(!(x))DebugOutput(__FILE__, __LINE__, z1, z2 ); } while(0)

#endif

#if 0


#if 0
#define ASSERT(x, y) ErrNonFatalDisplayIf(!(x), y)
#else
#define ASSERT(x, y) do{Char *el=__FILE__":" STRINGIFY(__LINE__); \
   							if (!(x)) \
							{			\
								FrmCustomAlert(AssertAlert, el, y,\
									   			STRINGIFY(x));\
							} \
						} while(0)
#endif
#define STRINGIFY(x) STRINGIFY1(x)
#define STRINGIFY1(x) #x
#define ASSERT1(x,y,z1) do{Char *el=__FILE__":" STRINGIFY( __LINE__ ); \
   							if (!(x)) \
							{			\
								Char eb[200]; \
								StrPrintF(eb, y, z1); \
								FrmCustomAlert(AssertAlert, el, eb,\
									   			STRINGIFY(x));\
							} \
						} while(0)

#define ASSERT2(x,y,z1,z2) do{Char *el=__FILE__":" STRINGIFY(__LINE__); \
   							if (!(x)) \
							{			\
								Char eb[200]; \
								StrPrintF(eb, y, z1, z2); \
								FrmCustomAlert(AssertAlert, el, eb,\
									   			STRINGIFY(x));\
							} \
						} while(0)
#endif

#else // DEBUG_ASSERTS, !DEBUG_ASSERTS:
#define ASSERT(x, y) 
#define ASSERT1(x, y,z) 
#define ASSERT2(x, y,z1,z2) 
#endif // !DEBUG_ASSERTS

#if DEBUG_PROTO
#define PROTOASSERT(x, y) ASSERT(x, y)
#define PROTOASSERT1(x, y, z) ASSERT1(x, y, z)
#define PROTOASSERT2(x, y, z1, z2) ASSERT2(x, y, z1, z2)
#else // DEBUG_PROTO, !DEBUG_PROTO:
#define PROTOASSERT(x, y)
#define PROTOASSERT1(x, y, z)
#define PROTOASSERT2(x, y, z1, z2)
#endif // !DEBUG_PROTO

#if DEBUG_SERIAL
#define SERIALASSERT(x, y) ASSERT(x, y)
#else
#define SERIALASSERT(x,y)
#endif

#endif // __DEBUG_H__
