/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt 
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/resources.h,v $
 *  $Revision: 1.11 $ $Date: 2004/10/15 19:01:57 $
 *
 ******************************************************************************/

#ifndef __RESOURCES_H__
#define __RESOURCES_H__

// Locations
#define StateLeft	10
#define StateTop	20

#define OutputLeft 130
#define OutputTop 81
// Changing the spacing will affect the centering
// of the keypad and must be adjusted for.
#define Spacing 3

// Fonts

#define NormalFont	0
#define SmallFont	0
#define SmallBoldFont	1
#define LargeFont	2
//#define LargeBoldFont	7 // Only in PalmOS 3.0+


/*
 * Debug Form
 *
 */

#define DebugFormID					1100

#define MaxRecvBufLabel				1102
#define TotalRecvBufLabel			1103
#define BuffersLabel				1104
#define AverageLabel				1105
#define LastRecvBufLabel			1106
#define ErrorsLabel					1107
#define PErrorsLabel				1108
#define BPSLabel					1109
#define MaxBPSLabel					1110


/*
 * About Form
 *
 */

#define AboutFormID					1200

#define AboutFormBitmap				1201
#define OkButton					1202



/*
 * Font Form
 *
 */

#define FontFormID					1300

/*
 * State Form
 *
 */
#define StateFormID					1400
#define StateHelpID					1401

#define PositionLabel				1402
#define LinewrapChkbox				1403
#define AutoscrollChkbox			1404
#define AutotransmitChkbox			1405
#define SerialChangableChkbox 		1406
#define SerialNumberFld				1407
#define BacklightChkbox				1408
#define BaudRateLabel				1409

#define ButtonOK					1410
#define ButtonDefaults				1411
#define ButtonCancel				1412

/*
 * Defaults Form
 */
#define DefaultsFormID				1500
#define DefaultsHelpID				1501

#define DefLinewrapChkbox			1502
#define DefAutoscrollChkbox			1503
#define DefAutotransmitChkbox		1504
#define DefSerialChangableChkbox 	1505
#define DefSerialNumberFld			1506
#define DefBacklightChkbox			1507

#define DefButtonOK					1508
#define DefButtonDefaults			1509
#define DefButtonCancel				1510

/*
 * Serial Errors Form
 */
#define SerialErrorsFormID			1600

#define SerialParityLabel			1601
#define SerialHWOverrunLabel		1602
#define SerialFramingLabel			1603
#define SerialBreakLabel			1604
#define SerialHShakeLabel			1605
#define SerialSWOverrunLabel		1606
#define SerialCarrierLostLabel		1607
#define SerialNonLineLabel			1608

/*
 * Extended Form Definitions
 *
 */

#define ExtFormID					1700
#define ExtHelpID					1701

#define UnderlineChkbox				1702
#define BlockChkbox					1703
#define AutorepeatChkbox			1704
#define AutorepeatSettingLabel		1705
#define BacklightSettingLabel		1707
#define ContrastSettingLabel		1708
#define DebounceTimeLabel			1709
#define I2CAddrLabel				1710
#define FlowControlChkbox			1711
#define FlowFullEmptyLabel			1712

/*
 * Main Form 
 *
 */

#define MainFormID					1800
#define MainHelpID					1801
#define MainMenuID					1802

#define PowerBitmap					1803

#define Output1						1804
#define Output2						1805
#define Output3						1806
#define Output4						1807
#define Output5						1808
#define Output6						1809
#define Output7						1810
#define Output8						1811

#define ButtonA 					1812
#define ButtonB 					1813
#define ButtonC 					1814
#define ButtonD 					1815
#define ButtonE 					1816
#define ButtonF 					1817
#define ButtonG 					1818
#define ButtonH 					1819
#define ButtonI 					1820
#define ButtonJ 					1821
#define ButtonK						1822
#define ButtonL						1823
#define ButtonM						1824
#define ButtonN						1825
#define ButtonO						1826
#define ButtonP						1827
#define ButtonQ						1828
#define ButtonR						1829
#define ButtonS						1830
#define ButtonT						1831
#define ButtonU						1832
#define ButtonV						1833
#define ButtonW						1834
#define ButtonX						1835
#define ButtonY						1836


/*
 * Screen Form Definitions
 *
 */

#define ScreenFormID				1900
#define SettingsScreenHelpID		1901

#define ColorListID					1902
#define ColorPopID					1903
#define ShowKeyboardChkbox			1904
#define ShowOutputsChkbox			1905
#define ShowCustomCharsChkbox		1906
#define ShowPaddingChkbox			1907
#define RefreshRateListID   		1908
#define RefreshRatePopID    		1909

#define ScreenOkButton 				1910

/*
 * SettingsOther Form Definitions
 *
 */

#define SettingsOtherFormID			2000
#define SettingsOtherHelpID			2001

#define AllowBacklightChkbox		2002
#define Output1IsBeepChkbox 		2003
#define BaudRateChangesChkbox		2006
#define WarnSerialErrorsChkbox		2007
#define WarnProtocolErrorsChkbox	2008
#define CorrectSlashChkbox			2009
#define GraffitiChkbox              2010
#define KeyUpDownChkbox             2011

#define SettingsOtherOkButton 		2012

/*
 * Serial Form Definitions
 *
 */

#define SettingsSerialFormID		2100
#define SettingsSerialHelpID		2101

#define SerialDevListID				2102
#define SerialDevPopID				2103
#define SerialBaudListID			2105
#define SerialBaudPopID				2106
#define SerialBits					   1 // Group
#define SerialBits5					2107
#define SerialBits6					2108
#define SerialBits7					2109
#define SerialBits8					2110
#define SerialParity				   2 // Group
#define SerialParityOdd				2111
#define SerialParityEven			2112
#define SerialParityNone			2113
#define SerialStop					   3 // Group 
#define SerialStop1					2114
#define SerialStop2					2115
#define SerialFlow					   4 // Group
#define SerialFlowOn				2116
#define SerialFlowOff				2117
#define SerialBigBufChkbox			2118
#define SerialDetailedErrsChkbox	2119


#define SettingsSerialOkButton 		2120
#define SettingsSerialDefaultsButton 2121
#define SettingsSerialCancelButton	2122

/*
 * Matrix Orbital Font
 */
#define FontBitmapID				3000

/*
 * Menu Options
 *
 */

#define menuAboutID					4000
#define menuStateID					4001
#define menuFontID					4002
#define menuExtID					4003
#define menuReinitializeScreenID	4004
#define menuClearScreenID			4005
#define menuScreenID				4006
#define menuHelpID					4007
#define menuResetOutputsID			4008
#define menuHexDataID				4009
#define menuParsedDataID			4010
#define menuNoDebugID				4011
#define menuDebugID	  				4012
#define menuSerialErrorsID	  		4013
#define menuDefaultID				4014
#define menuSettingsSerialID		4015
#define menuSettingsOtherID			4016


/*
 * Alerts
 *
 */

#define RomIncompatibleAlert		5000
#define NoNewSerAlert				5001
#define ErrOpeningPortAlert			5002
#define ErrSerialBusyAlert  		5003
#define ErrTransmittingAlert		5004
#define ErrReceivingAlert			5005
#define AboutAlert					5006
#define InitAlert					5007
#define MyLowBatteryAlert			5008
#define PluggedInAlert				5009
#define DebugAlert					5010
#define InvalidXYAlert				5011
#define AssertAlert					5012
#define FailedToCreateFontWinAlert  5013
#define FailedToCreateBufWinAlert   5014
#define FailedToCreateLcdAlert	    5015
#define FailedToCreateOLcdAlert     5016
#define ErrSerialErrorsAlert		5017
#define ErrProtocolErrorsAlert		5018
#define FeedBackAlert				5019
#define NoDetailedSerialErrorsAlert 5020
#define StackLowAlert				5021
#define SerialConfigAlert           5022
	


#endif // __RESOURCES_H__
