/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt 
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/screen.h,v $
 *  $Revision: 1.5 $ $Date: 2004/10/14 12:33:17 $
 *
 ******************************************************************************/

#ifndef __SCREEN_H__
#define __SCREEN_H__


/* Exported functions */
extern Err Screen_Init(void); // Initialize Screen code
extern void Screen_Fini(void);    // De-initialize Screen code

extern void Screen_UpdateLcd(void);  // update LCD display (if req)
extern void Screen_Stop(void); // Stop updates of display
extern void Screen_Start(void); // Start updates of display

extern void Screen_setOutput(UInt8 num, Boolean set); 
extern void Screen_PutChar (UInt8 chr, UInt16 xpos, UInt16 ypos);
extern void Screen_DefineChar (UInt8 ch, const UInt8 *str);//Define user char
extern void Screen_PutNCharsAt (Char *str, UInt16 n, UInt16 x, UInt16 y);
extern void Screen_Clear(void);  // Clear the LCD
extern void Screen_DoAutoscroll (void); // Scroll LCD upwards.
extern void Screen_PrefsChanged(void);
#define COLORMODE_NONE  0
#define COLORMODE_GREEN 1
#define COLORMODE_BLUE 2
#define COLORMODE_CYAN 3
#define COLORMODE_RED 4
#define COLORMODE_MAX  4
extern void Screen_SetColorMode(UInt32 mode);
extern void Screen_SetConfig(UInt16 width, UInt16 height, UInt16 numoutputs, UInt16 numkeys);


/* Exported variables */
extern WinHandle Screen_Fontwin; // for palmorb.cpp to display font in form.
extern Boolean Screen_ColorPossible;


#define FW_WIDTH 70
#define FW_HEIGHT 128

#endif // __SCREEN_H__
