/******************************************************************************
 *
 *  PalmOrb - Emulate a Matrix Orbital LCD Display with Keypad
 *  Copyright (C) 2004  Chris Lansley  <palmorb@lansley.me.uk>
 *  Copyright (C) 2001  David Douthitt
 *  Copyright (C) 2000  J Robert Ray
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  $Source: /cvsroot/palmorb/palmorb/serial.h,v $
 *  $Revision: 1.5 $ $Date: 2004/10/08 15:16:19 $
 *
 ******************************************************************************/

#ifndef __SERIAL_H__
#define __SERIAL_H__

/* Exported Functions */
extern Err Serial_Init(void);
extern void Serial_Fini(void);

extern Err Serial_OpenPort(void); 
extern void Serial_ClosePort (void);
extern UInt32 Serial_ReadPort (UInt8 **readBuffer); // for palmorb to read data
extern void Serial_CloseData(UInt8 *readBuffer, UInt32 numBytes);

extern void Serial_SendChar(UInt8 c);//for MO&palmorb.cpp to send keys and replies
extern void Serial_SetBaudRate (UInt32 baudrate);
extern UInt32 Serial_GetBaudRate (void); // for palmorb.cpp to display stats
extern void debug_sendBuf(const UInt8 *, UInt32);

/* Exported Varables */
extern Boolean Serial_newMan; // for palmorb.cpp to show Usb/RS232 options
   // The rest are serial stats:
extern UInt32 Serial_Errors;  // for palmorb.cpp to display stats
extern UInt32 Serial_NonLineErrors;  // for palmorb.cpp to display stats
extern UInt32 Serial_LineErrorParity;
extern UInt32 Serial_LineErrorHWOverrun;
extern UInt32 Serial_LineErrorFraming;
extern UInt32 Serial_LineErrorBreak;
extern UInt32 Serial_LineErrorHShake;
extern UInt32 Serial_LineErrorSWOverrun;
extern UInt32 Serial_LineErrorCarrierLost;
extern UInt32 Serial_minSize;
extern UInt32 Serial_maxSize;
extern UInt32 Serial_lastSize;
extern UInt32 Serial_sizeTotal;
extern UInt32 Serial_sizeCount;
extern UInt32 Serial_bytesPerSec;
extern UInt32 Serial_maxBps;

#endif // __SERIAL_H__
